### Hierarchy

- IScroll
  - IScrollEx

## Index

### Constructors

- constructor

### Properties

- maxScrollX
- maxScrollY
- off
- on
- scroller
- scrollerHeight
- scrollerWidth
- wrapper
- x
- y

### Methods

- destroy
- disable
- enable
- getComputedPosition
- goToPage
- isReady
- refresh
- scrollTo
- scrollToElement
- stop
- zoom

## Constructors

### constructor

- new IScrollEx(element: string, options?: IScrollOptions): IScrollEx
- new IScrollEx(element: HTMLElement, options?: IScrollOptions): IScrollEx

- Inherited from IScroll.__constructor

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:78

  #### Parameters

  - ##### element: string

  - ##### Optional options: IScrollOptions

  #### Returns IScrollEx

- Inherited from IScroll.__constructor

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:79

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional options: IScrollOptions

  #### Returns IScrollEx

## Properties

### maxScrollX

maxScrollX: number

- Defined in CDP/UI/listview/ScrollerIScroll.ts:21

### maxScrollY

maxScrollY: number

- Defined in CDP/UI/listview/ScrollerIScroll.ts:22

### off

off: function

Overrides IScroll.off

- Defined in CDP/UI/listview/ScrollerIScroll.ts:16

#### Type declaration

- - (type: string, fn: function): void

  - #### Parameters

    - ##### type: string

    - ##### fn: function

      - - (event: any): void

        - #### Parameters

          - ##### event: any

          #### Returns void

### on

on: function

Overrides IScroll.on

- Defined in CDP/UI/listview/ScrollerIScroll.ts:15

#### Type declaration

- - (type: string, fn: function): void

  - #### Parameters

    - ##### type: string

    - ##### fn: function

      - - (event: any): void

        - #### Parameters

          - ##### event: any

          #### Returns void

### scroller

scroller: HTMLElement

- Defined in CDP/UI/listview/ScrollerIScroll.ts:18

### scrollerHeight

scrollerHeight: number

- Defined in CDP/UI/listview/ScrollerIScroll.ts:20

### scrollerWidth

scrollerWidth: number

- Defined in CDP/UI/listview/ScrollerIScroll.ts:19

### wrapper

wrapper: HTMLElement

- Defined in CDP/UI/listview/ScrollerIScroll.ts:17

### x

x: number

Inherited from IScroll.x

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:82

### y

y: number

Inherited from IScroll.y

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:83

## Methods

### destroy

- destroy(): void

- Inherited from IScroll.destroy

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:85

  #### Returns void

### disable

- disable(): void

- Inherited from IScroll.disable

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:92

  #### Returns void

### enable

- enable(): void

- Inherited from IScroll.enable

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:93

  #### Returns void

### getComputedPosition

- getComputedPosition(): any

- - Defined in CDP/UI/listview/ScrollerIScroll.ts:23

  #### Returns any

### goToPage

- goToPage(pageX: number, pageY: number, time?: number): void

- Inherited from IScroll.goToPage

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:91

  #### Parameters

  - ##### pageX: number

  - ##### pageY: number

  - ##### Optional time: number

  #### Returns void

### isReady

- isReady(): boolean

- Inherited from IScroll.isReady

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:96

  #### Returns boolean

### refresh

- refresh(): void

- Inherited from IScroll.refresh

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:86

  #### Returns void

### scrollTo

- scrollTo(x: number, y: number, time?: number, relative?: boolean): void

- Inherited from IScroll.scrollTo

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:87

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### Optional time: number

  - ##### Optional relative: boolean

  #### Returns void

### scrollToElement

- scrollToElement(element: string, time?: number): void
- scrollToElement(element: HTMLElement, time?: number): void
- scrollToElement(element: HTMLElement, time?: number, offsetX?: number | boolean, offsetY?: number | boolean, easing?: Function): void

- Inherited from IScroll.scrollToElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:88

  #### Parameters

  - ##### element: string

  - ##### Optional time: number

  #### Returns void

- Inherited from IScroll.scrollToElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:89

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional time: number

  #### Returns void

- Inherited from IScroll.scrollToElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:90

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional time: number

  - ##### Optional offsetX: number | boolean

  - ##### Optional offsetY: number | boolean

  - ##### Optional easing: Function

  #### Returns void

### stop

- stop(): void

- Inherited from IScroll.stop

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:94

  #### Returns void

### zoom

- zoom(x: number, y: number, scale: number, time?: number): void

- Inherited from IScroll.zoom

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/iscroll/index.d.ts:95

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### scale: number

  - ##### Optional time: number

  #### Returns void

Generated using TypeDoc